### Function

# Phosh Animation new

#### Declaration [src]

    PhoshAnimation*
    phosh_animation_new (
      GtkWidget* widget,
      double from,
      double to,
      gint64 duration,
      PhoshAnimationType type,
      PhoshAnimationValueCallback value_cb,
      PhoshAnimationDoneCallback done_cb,
      gpointer user_data
    )

#### Description [src]

Get a new animation object for `widget`.

Note that the scope of the `value_cb` and `done_cb` callbacks is actually as long as the animation exists.

#### Parameters

`widget`

  Type: `GtkWidget`

  A widget.

  The data is owned by the caller of the function.

`from`

  Type: `double`

  The animation’s start value.

`to`

  Type: `double`

  The animation’s end value.

`duration`

  Type: `gint64`

  No description available.

`type`

  Type: `PhoshAnimationType`

  The type of animation.

`value_cb`

  Type: `PhoshAnimationValueCallback`

  The callback applying `value`.

`done_cb`

  Type: `PhoshAnimationDoneCallback`

  The callback invoked when the animation is done.

`user_data`

  Type: `gpointer`

  User_data passed to `value_cb` and `done_cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PhoshAnimation`

The animation.

The caller of the function takes ownership of the data, and is responsible for freeing it.